import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Equipment } from "./equipment";

@Entity()
export class EquipmentType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255 })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => Equipment, (e) => e.equipmentType, { cascade: ["insert"] })
  equipment: Equipment[];

  inspectionPlans: Array<any>;
}
