import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Vehicle } from "./vehicle";

@Entity()
export class VehicleType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255 })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => Vehicle, (e) => e.vehicleType, { cascade: ["insert"] })
  equipment: Vehicle[];

  inspectionPlans: Array<any>;
}
