import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Wearable } from "./wearable";

@Entity()
export class WearableType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255 })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => Wearable, (e) => e.wearableType, { cascade: ["insert"] })
  equipment: Wearable[];
}
